Feature flags API
GitLab 개발에 사용되는 Flipper 기반 기능 플래그를 관리하는 REST API입니다.
이 API는 GitLab 개발에 사용되는 Flipper 기반 기능 플래그를 관리하기 위한 것입니다. 모든 메서드에는 관리자 권한이 필요합니다. API는 boolean 및 시간 비율(percentage-of-time) 게이트 값만 지원합니다. 모든 기능 플래그 나열 # 게이트 값과 함께 저장된 모든 기능 플래그를 나열합니다. GET /features curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/features" 응답 예시: [ { "name" : "experimental_feature" , "state" : "off" , "gates" : [ { "key" : "boolean" , "value" : false } ] , "definition" : null } , { "name" : "my_user_feature" , "state" : "on" , "gates" : [ { "key" : "percentage_of_actors" , "value" : 34 } ] , "definition" : { "name" : "my_user_feature" , "introduced_by_url" : "https://gitlab.com/gitlab-org/gitlab/-/merge_requests/40880" , "rollout_issue_url" : "https://gitlab.com/gitlab-org/gitlab/-/issues/244905" , "group" : "group::ci" , "type" : "development" , "default_enabled" : false } } , { "name" : "new_library" , "state" : "on" , "gates" : [ { "key" : "boolean" , "value" : true } ] , "definition" : null } ] 모든 기능 플래그 정의 나열 # 모든 기능 플래그 정의를 나열합니다. GET /features/definitions curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/features/definitions" 응답 예시: [ { "name" : "geo_pages_deployment_replication" , "introduced_by_url" : "https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68662" , "rollout_issue_url" : "https://gitlab.com/gitlab-org/gitlab/-/issues/337676" , "milestone" : "14.3" , "log_state_changes" : null , "type" : "development" , "group
